## policycoreutils 2.6

=== newrole/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LOCALEDIR = /usr/share/locale
PAMH = $(shell ls /usr/include/security/pam_appl.h 2>/dev/null)
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)
# Enable capabilities to permit newrole to generate audit records.
# This will make newrole a setuid root program.
# The capabilities used are: CAP_AUDIT_WRITE.
AUDIT_LOG_PRIV ?= n
# Enable capabilities to permit newrole to utilitize the pam_namespace module.
# This will make newrole a setuid root program.
# The capabilities used are: CAP_SYS_ADMIN, CAP_CHOWN, CAP_FOWNER and
# CAP_DAC_OVERRIDE. 
NAMESPACE_PRIV ?= n
# If LSPP_PRIV is y, then newrole will be made into setuid root program.
# Enabling this option will force AUDIT_LOG_PRIV and NAMESPACE_PRIV to be y.
LSPP_PRIV ?= n
VERSION = $(shell cat ../VERSION)

CFLAGS ?= -Werror -Wall -W
EXTRA_OBJS =
override CFLAGS += -DVERSION=\"$(VERSION)\" -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
LDLIBS += -lselinux -L$(PREFIX)/lib
ifeq ($(PAMH), /usr/include/security/pam_appl.h)
	override CFLAGS += -DUSE_PAM
	EXTRA_OBJS += hashtab.o
	LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	LDLIBS += -lcrypt
endif
ifeq ($(AUDITH), /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif
ifeq ($(LSPP_PRIV),y)
	override AUDIT_LOG_PRIV=y
	override NAMESPACE_PRIV=y
endif
ifeq ($(AUDIT_LOG_PRIV),y)
	override CFLAGS += -DAUDIT_LOG_PRIV
	IS_SUID=y
endif
ifeq ($(NAMESPACE_PRIV),y)
	override CFLAGS += -DNAMESPACE_PRIV
	IS_SUID=y
endif
ifeq ($(IS_SUID),y)
	MODE := 4555
	LDLIBS += -lcap-ng
else
	MODE := 0555
endif

all: newrole

newrole: newrole.o $(EXTRA_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	test -d $(BINDIR)      || install -m 755 -d $(BINDIR)
	test -d $(ETCDIR)/pam.d || install -m 755 -d $(ETCDIR)/pam.d
	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
	install -m $(MODE) newrole $(BINDIR)
	install -m 644 newrole.1 $(MANDIR)/man1/
ifeq ($(PAMH), /usr/include/security/pam_appl.h)
	test -d $(ETCDIR)/pam.d || install -m 755 -d $(ETCDIR)/pam.d
ifeq ($(LSPP_PRIV),y)
	install -m 644 newrole-lspp.pamd $(ETCDIR)/pam.d/newrole
else
	install -m 644 newrole.pamd $(ETCDIR)/pam.d/newrole
endif
endif

clean:
	rm -f newrole *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(BINDIR)/newrole

=== po/Makefile ===
#
# Makefile for the PO files (translation) catalog
#

TOP	 = ../..

# What is this package?
NLSPACKAGE	= policycoreutils
POTFILE		= $(NLSPACKAGE).pot
INSTALL		= /usr/bin/install -c -p
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_DIR	= /usr/bin/install -d

# destination directory
INSTALL_NLS_DIR = $(DESTDIR)/usr/share/locale

# PO catalog handling
MSGMERGE	= msgmerge
MSGMERGE_FLAGS	= -q
XGETTEXT	= xgettext --default-domain=$(NLSPACKAGE)
MSGFMT		= msgfmt

# What do we need to do
POFILES		= $(wildcard *.po)
MOFILES		= $(patsubst %.po,%.mo,$(POFILES))
POTFILES = \
	../run_init/open_init_pty.c \
	../run_init/run_init.c \
	../semodule_link/semodule_link.c \
	../audit2allow/audit2allow \
	../semanage/seobject.py \
	../setsebool/setsebool.c \
	../newrole/newrole.c \
	../load_policy/load_policy.c \
	../sestatus/sestatus.c \
	../semodule/semodule.c \
	../setfiles/setfiles.c \
	../semodule_package/semodule_package.c \
	../semodule_deps/semodule_deps.c \
	../semodule_expand/semodule_expand.c \
	../scripts/chcat \
	../scripts/fixfiles \
	../restorecond/stringslist.c \
	../restorecond/restorecond.h \
	../restorecond/utmpwatcher.h \
	../restorecond/stringslist.h \
	../restorecond/restorecond.c \
	../restorecond/utmpwatcher.c \
	../gui/booleansPage.py \
	../gui/fcontextPage.py \
	../gui/loginsPage.py \
	../gui/mappingsPage.py \
	../gui/modulesPage.py \
	../gui/polgen.glade \
	../gui/polgengui.py \
	../gui/portsPage.py \
	../gui/semanagePage.py \
	../gui/statusPage.py \
	../gui/system-config-selinux.glade \
	../gui/system-config-selinux.py \
	../gui/usersPage.py \
	../secon/secon.c \
	booleans.py \
	../sepolicy/sepolicy.py \
	../sepolicy/sepolicy/communicate.py \
	../sepolicy/sepolicy/__init__.py \
	../sepolicy/sepolicy/network.py \
	../sepolicy/sepolicy/generate.py \
	../sepolicy/sepolicy/sepolicy.glade \
	../sepolicy/sepolicy/gui.py \
	../sepolicy/sepolicy/manpage.py \
	../sepolicy/sepolicy/transition.py \
	../sepolicy/sepolicy/templates/executable.py \
	../sepolicy/sepolicy/templates/__init__.py \
	../sepolicy/sepolicy/templates/network.py \
	../sepolicy/sepolicy/templates/rw.py \
	../sepolicy/sepolicy/templates/script.py \
	../sepolicy/sepolicy/templates/semodule.py \
	../sepolicy/sepolicy/templates/tmp.py \
	../sepolicy/sepolicy/templates/user.py \
	../sepolicy/sepolicy/templates/var_lib.py \
	../sepolicy/sepolicy/templates/var_log.py \
	../sepolicy/sepolicy/templates/var_run.py \
	../sepolicy/sepolicy/templates/var_spool.py

#default:: clean

all::  $(MOFILES)

booleans.py:
	sepolicy booleans -a > booleans.py

$(POTFILE): $(POTFILES) booleans.py
	$(XGETTEXT) --keyword=_ --keyword=N_ $(POTFILES)
	@if cmp -s $(NLSPACKAGE).po $(POTFILE); then \
	    rm -f $(NLSPACKAGE).po; \
	else \
	    mv -f $(NLSPACKAGE).po $(POTFILE); \
	fi; \

update-po: Makefile $(POTFILE) refresh-po
	@rm -f booleans.py

refresh-po: Makefile
	for cat in $(POFILES); do \
		lang=`basename $$cat .po`; \
		if $(MSGMERGE) $(MSGMERGE_FLAGS) $$lang.po $(POTFILE) > $$lang.pot ; then \
			mv -f $$lang.pot $$lang.po ; \
			echo "$(MSGMERGE) of $$lang succeeded" ; \
		else \
			echo "$(MSGMERGE) of $$lang failed" ; \
			rm -f $$lang.pot ; \
		fi \
	done

clean:
	@rm -fv *mo *~ .depend
	@rm -rf tmp

install: $(MOFILES)
	@for n in $(MOFILES); do \
	    l=`basename $$n .mo`; \
	    $(INSTALL_DIR) $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES; \
	    $(INSTALL_DATA) --verbose $$n $(INSTALL_NLS_DIR)/$$l/LC_MESSAGES/$(NLSPACKAGE).mo; \
	done

%.mo: %.po
	$(MSGFMT) -o $@ $<
report:
	@for cat in $(wildcard *.po); do \
                echo -n "$$cat: "; \
                msgfmt -v --statistics -o /dev/null $$cat; \
        done

.PHONY: missing depend

relabel:

=== restorecond/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(PREFIX)/sbin
LIBDIR ?= $(PREFIX)/lib
MANDIR = $(PREFIX)/share/man
AUTOSTARTDIR = $(DESTDIR)/etc/xdg/autostart
DBUSSERVICEDIR = $(DESTDIR)/usr/share/dbus-1/services
SYSTEMDDIR ?= $(DESTDIR)/usr/lib/systemd

autostart_DATA = sealertauto.desktop
INITDIR ?= $(DESTDIR)/etc/rc.d/init.d
SELINUXDIR = $(DESTDIR)/etc/selinux

DBUSFLAGS = -DHAVE_DBUS -I/usr/include/dbus-1.0 -I/usr/lib64/dbus-1.0/include -I/usr/lib/dbus-1.0/include
DBUSLIB = -ldbus-glib-1 -ldbus-1

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include $(DBUSFLAGS) -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/usr/lib/glib-2.0/include

USE_PCRE2 ?= n
ifeq ($(USE_PCRE2),y)
	PCRE_LDFLAGS := -lpcre2-8
else
	PCRE_LDFLAGS := -lpcre
endif

LDLIBS += -lselinux $(PCRE_LDFLAGS) $(DBUSLIB) -lglib-2.0 -L$(LIBDIR)

all: restorecond

restorecond.o utmpwatcher.o stringslist.o user.o watch.o: restorecond.h

restorecond:  ../setfiles/restore.o restorecond.o utmpwatcher.o stringslist.o user.o watch.o
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 restorecond $(SBINDIR)
	install -m 644 restorecond.8 $(MANDIR)/man8
	-mkdir -p $(INITDIR)
	install -m 755 restorecond.init $(INITDIR)/restorecond
	-mkdir -p $(SELINUXDIR)
	install -m 644 restorecond.conf $(SELINUXDIR)/restorecond.conf
	install -m 644 restorecond_user.conf $(SELINUXDIR)/restorecond_user.conf
	-mkdir -p $(AUTOSTARTDIR)
	install -m 644 restorecond.desktop $(AUTOSTARTDIR)/restorecond.desktop
	-mkdir -p $(DBUSSERVICEDIR)
	install -m 600 org.selinux.Restorecond.service  $(DBUSSERVICEDIR)/org.selinux.Restorecond.service
	-mkdir -p $(SYSTEMDDIR)/system
	install -m 644 restorecond.service $(SYSTEMDDIR)/system/
relabel: install
	/sbin/restorecon $(SBINDIR)/restorecond 

clean:
	-rm -f restorecond *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== sandbox/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SYSCONFDIR ?= $(DESTDIR)/etc/sysconfig
LIBDIR ?= $(PREFIX)/lib
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
SHAREDIR ?= $(PREFIX)/share/sandbox
override CFLAGS += -I$(PREFIX)/include -DPACKAGE="\"policycoreutils\"" -Wall -Werror -Wextra -W
LDLIBS += -lselinux -lcap-ng -L$(LIBDIR)
SEUNSHARE_OBJS = seunshare.o

all: sandbox seunshare sandboxX.sh start

seunshare: $(SEUNSHARE_OBJS)

install: all
	-mkdir -p $(BINDIR)
	install -m 755 sandbox $(BINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 sandbox.8 $(MANDIR)/man8/
	install -m 644 seunshare.8 $(MANDIR)/man8/
	-mkdir -p $(MANDIR)/man5
	install -m 644 sandbox.5 $(MANDIR)/man5/
	-mkdir -p $(SBINDIR)
	install -m 4755 seunshare $(SBINDIR)/
	-mkdir -p $(SHAREDIR)
	install -m 755 sandboxX.sh $(SHAREDIR)
	install -m 755 start $(SHAREDIR)
	-mkdir -p $(SYSCONFDIR)
	install -m 644 sandbox.conf $(SYSCONFDIR)/sandbox

test:
	@$(PYTHON) test_sandbox.py -v

clean:
	-rm -f seunshare *.o *~

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== sepolicy/Makefile ===
PYTHON ?= python

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SYSCONFDIR ?= $(DESTDIR)/etc/sysconfig
LIBDIR ?= $(PREFIX)/lib
BINDIR ?= $(PREFIX)/bin
SBINDIR ?= $(PREFIX)/sbin
DATADIR ?= $(PREFIX)/share
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale
BASHCOMPLETIONDIR ?= $(DESTDIR)/usr/share/bash-completion/completions
SHAREDIR ?= $(PREFIX)/share/sandbox
CFLAGS ?= -Wall -Werror -Wextra -W
override CFLAGS += -I$(PREFIX)/include -DPACKAGE="policycoreutils" -DSHARED -shared

BASHCOMPLETIONS=sepolicy-bash-completion.sh

all: python-build

python-build:
	$(PYTHON) setup.py build

clean:
	$(PYTHON) setup.py clean
	-rm -rf build *~ \#* *pyc .#*

sepolgen:
	ln -sf sepolicy sepolgen

test:
	@$(PYTHON) test_sepolicy.py -v

install:
	$(PYTHON) setup.py install `test -n "$(DESTDIR)" && echo --root $(DESTDIR)`
	[ -d $(BINDIR) ] || mkdir -p $(BINDIR)
	install -m 755 sepolicy.py $(BINDIR)/sepolicy
	(cd $(BINDIR); ln -sf sepolicy sepolgen)
	-mkdir -p $(MANDIR)/man8
	install -m 644 *.8 $(MANDIR)/man8
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)/sepolicy
	-mkdir -p $(DESTDIR)/etc/dbus-1/system.d/
	install -m 644 org.selinux.conf $(DESTDIR)/etc/dbus-1/system.d/
	-mkdir -p $(DESTDIR)/usr/share/dbus-1/system-services
	install -m 644 org.selinux.service $(DESTDIR)/usr/share/dbus-1/system-services
	-mkdir -p $(DESTDIR)/usr/share/polkit-1/actions/
	install -m 644 org.selinux.policy $(DESTDIR)/usr/share/polkit-1/actions/
	-mkdir -p $(DESTDIR)/usr/share/system-config-selinux
	install -m 755 selinux_server.py $(DESTDIR)/usr/share/system-config-selinux
	install -m 644 *.desktop $(DATADIR)/system-config-selinux
	-mkdir -p $(DESTDIR) $(DATADIR)/pixmaps
	install -m 644 sepolicy_256.png $(DATADIR)/pixmaps/sepolicy.png
	for i in 16 22 32 48 256; do \
		mkdir -p $(DESTDIR) $(DATADIR)/icons/hicolor/$${i}x$${i}/apps; \
		install -m 644 sepolicy_$${i}.png $(DATADIR)/icons/hicolor/$${i}x$${i}/apps/sepolicy.png; \
	done

relabel:

=== setfiles/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)

PROGRESS_STEP=$(shell grep "^\#define STAR_COUNT" restore.h | awk -S '{ print $$3 }')
ABORT_ON_ERRORS=$(shell grep "^\#define ABORT_ON_ERRORS" setfiles.c | awk -S '{ print $$3 }')

CFLAGS ?= -g -Werror -Wall -W
override CFLAGS += -I$(PREFIX)/include
LDLIBS = -lselinux -lsepol -L$(LIBDIR)

ifeq ($(AUDITH), /usr/include/libaudit.h)
	override CFLAGS += -DUSE_AUDIT
	LDLIBS += -laudit
endif

all: setfiles restorecon restorecon_xattr man

setfiles:  setfiles.o restore.o

restorecon: setfiles
	ln -sf setfiles restorecon

restorecon_xattr:  restorecon_xattr.o restore.o

man:
	@cp -af setfiles.8 setfiles.8.man
	@cp -af restorecon.8 restorecon.8.man
	@sed -i "s/STAR_COUNT/$(PROGRESS_STEP)/g" setfiles.8.man restorecon.8.man
	@sed -i "s/ABORT_ON_ERRORS/$(ABORT_ON_ERRORS)/g" setfiles.8.man

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 setfiles $(SBINDIR)
	(cd $(SBINDIR) && ln -sf setfiles restorecon)
	install -m 755 restorecon_xattr $(SBINDIR)
	install -m 644 setfiles.8.man $(MANDIR)/man8/setfiles.8
	install -m 644 restorecon.8.man $(MANDIR)/man8/restorecon.8
	install -m 644 restorecon_xattr.8 $(MANDIR)/man8/restorecon_xattr.8

clean:
	rm -f setfiles restorecon restorecon_xattr *.o setfiles.8.man restorecon.8.man

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	$(SBINDIR)/restorecon $(SBINDIR)/setfiles $(SBINDIR)/restorecon_xattr

=== debian/changelog ===
policycoreutils (2.6-3) unstable; urgency=medium

  * Team upload.
  * d/p/Handle-python-error-returns-correctly.patch: Fix a bug that was
    preventing to override file contexts already defined in the policy

 -- Laurent Bigonville <bigon@debian.org>  Tue, 10 Jan 2017 00:56:57 +0100

policycoreutils (2.6-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Mon, 28 Nov 2016 13:19:15 +0100

policycoreutils (2.6-1) experimental; urgency=medium

  * Team upload.
  * New upstream release
    - Drop d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch,
      d/p/sandbox-dbus-run-session.patch, d/p/CVE-2016-7545.patch,
      d/p/sandbox-gobject-gtk.patch, applied upstream
    - Refreshed the other patches
    - debian/control: Bump {build-}dependencies to match the new release
    - debian/control: Drop libapol-dev and libqpol-dev build-dependencies
    - debian/python-sepolicy.install: Drop .so file, this is now a pure python
      module.
    - Install new restorecon_xattr executable and manpage
  * debian/control: Drop libcgroup-dev build-dependency, no longer used
  * debian/gbp.conf: Rename git-buildpackage section to buildpackage
  * Switch to python3, disable system-config-selinux for now as it doesn't
    support that version.
  * d/p/policycoreutils-Use-new-sepolicy-icon-in-.desktop-fi.patch: Use new
    icon for sepolicy (From upstream)
  * d/p/Sandbox-Use-next-over-the-sepolicy.info-result.patch,
    d/p/policycoreutils-Make-sepolicy-work-with-python3.patch,
    d/p/policycoreutils-Use-GObject-introspection-binding-in.patch Add some
    fixes for python3 (From upstream)
  * debian/control: Add lsb-base dependency to please lintian

 -- Laurent Bigonville <bigon@debian.org>  Wed, 23 Nov 2016 01:15:04 +0100

policycoreutils (2.5-3) unstable; urgency=medium

  * Team upload.
  * d/p/Dont_use_subprocess_getstatusoutput_in_Python_2_code.patch: Make the
    python code of chcat and sandbox compatible with both python2 and python3
  * debian/NEWS, debian/control: Fix a typo
  * Merge Fedora changes to the selinux-autorelabel systemd scripts and units.
    We now use a selinux-autorelabel.target and a generator that override the
    default.target in case we need to relabel the filesystems.
  * debian/patches/sandbox-dbus-run-session.patch: Use dbus-run-session
    instead of dbus-launch when available (Closes: #836289)
  * debian/patches/CVE-2016-7545.patch: create a new session for sandboxed
    processes (Closes: #838599 CVE-2016-7545)
  * debian/patches/sandbox-gobject-gtk.patch: Use GTK+ GObject introspection
    bindings instead of old pygtk2 ones
  * debian/patches/sandbox-x-window-manager.patch: Use system default window
    manager instead of openbox

 -- Laurent Bigonville <bigon@debian.org>  Tue, 27 Sep 2016 22:30:28 +0200

=== debian/control ===
Source: policycoreutils
VCS-Git: https://anonscm.debian.org/git/selinux/policycoreutils.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/policycoreutils.git;a=summary
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Manoj Srivastava <srivasta@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd (>= 1.4),
               dpkg-dev (>= 1.16.0),
               file,
               gawk,
               gettext,
               libaudit-dev,
               libcap-dev,
               libcap-ng-dev,
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libpam0g-dev,
               libpcre3-dev,
               libselinux1-dev (>= 2.6),
               libsemanage1-dev (>= 2.6),
               libsepol1-dev (>= 2.6),
               python3-dev (>= 3.2),
               python3-sepolgen (>= 2.6)
X-Python3-Version: >= 3.2
Homepage: http://userspace.selinuxproject.org/

Package: policycoreutils
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: selinux-basics (<< 0.5.3~), findutils (<< 4.5.7)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the core policy utilities that are required
 for basic operation of an SELinux system.  These utilities include
 load_policy to load policies, setfiles to label filesystems.

Package: policycoreutils-python-utils
Architecture: linux-any
Depends: policycoreutils (= ${binary:Version}),
         python3-audit,
         python3-ipy,
         python3-selinux (>= 2.6),
         python3-semanage (>= 2.6),
         python3-sepolgen (>= 2.6),
         python3-sepolicy (= ${binary:Version}),
         selinux-utils,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities (Python utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the policycoreutils written in Python like semanage,
 audit2why, audit2allow or chcat.

Package: python3-sepolicy
Architecture: linux-any
Depends: python3-selinux (>= 2.6),
         python3-sepolgen (>= 2.6),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Section: python
Description: Python binding for SELinux Policy Analyses
 This package contains a Python binding for SELinux Policy Analyses.

Package: policycoreutils-gui
Architecture: all
Priority: extra
Depends: gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         policycoreutils (>= 2.6),
         policycoreutils-dev,
         policykit-1,
         python3-dbus,
         python3-gi,
#         python-glade2,
#         python-gnome2,
#         python-gobject-2,
#         python-gtk2,
         python3-selinux (>= 2.6),
         python3-sepolicy (>= 2.6),
         python3-slip-dbus,
         ${misc:Depends},
         ${python3:Depends}
Description: SELinux core policy utilities (graphical utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the system-config-selinux and the selinux-polgengui
 utilities.

Package: policycoreutils-dev
Architecture: linux-any
Section: devel
Depends: policycoreutils (= ${binary:Version}),
         python3-selinux (>= 2.6),
         python3-sepolgen (>= 2.6),
         python3-sepolicy (= ${binary:Version}),
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (development utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the management tools used to develop policy in an
 SELinux environment.

Package: policycoreutils-sandbox
Architecture: linux-any
Priority: extra
Depends: dbus (>= 1.8),
         gir1.2-gtk-3.0,
         libcap2-bin,
         policycoreutils,
         python3,
         python3-gi,
         x11-xserver-utils,
         xserver-xephyr,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openbox | x-window-manager
Description: SELinux core policy utilities (graphical sandboxes)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the scripts to create graphical sandboxes.
 .
 This package requires an additional custom policy that is not present in
 Debian.

Package: restorecond
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (restorecond utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains restorecond to restore contexts of files that often get
 the wrong context.

Package: mcstrans
Architecture: linux-any
Priority: extra
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (mcstrans utilities)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains mcstransd to map a machine readable sensitivity label to
 a human readable form.  The sensitivity label is comprised of a sensitivity
 level (always s0 for MCS and anything from s0 to s15 for MLS) and a set of
 categories.  A ranged sensitivity label will have a low level and a high level
 where the high level will dominate the low level.  Categories are numbered from
 c0 to c1023.  Names such as s0 and c1023 and not easily readable by humans, so
 mcstransd translated them to human readable labels such as SystemLow and
 SystemHigh.

Package: newrole
Architecture: linux-any
Priority: extra
Depends: libcap2-bin,
         policycoreutils (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (newrole application for RBAC/MLS)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 RBAC/MLS policy machines require newrole as a way of changing the role or
 level of a logged in user.
 .
 This package contains newrole to switch roles, run_init to run /etc/init.d
 scripts in the proper context.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
#  # Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
export PYTHON=python3
export PYTHONLIBDIR=$${DESTDIR}/usr/lib/$(shell py3versions -d)
export INITDIR=$${DESTDIR}/etc/init.d
export SYSCONFDIR=$${DESTDIR}/etc/default
export SYSTEMDDIR=$${DESTDIR}/lib/systemd
export HLLDIR=$${DESTDIR}/usr/lib/selinux/hll
#export SHLIBDIR=$${DESTDIR}/lib/${DEB_HOST_MULTIARCH}
#export LIBBASE=lib/${DEB_HOST_MULTIARCH}

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# The build system doesn't use CPPFLAGS, pass them to CFLAGS to enable the
# missing (hardening) flags. dpkg_buildflags is necessary because $(shell ..)
# doesn't use local environment variables.
dpkg_buildflags = DEB_BUILD_MAINT_OPTIONS=$(DEB_BUILD_MAINT_OPTIONS) dpkg-buildflags
export DEB_CFLAGS_MAINT_APPEND = $(shell $(dpkg_buildflags) --get CPPFLAGS)

# Build newrole executable with the audit and namespace support
export LSPP_PRIV=y

%:
	dh $@ --with python3 --with systemd

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install --list-missing

override_dh_installinit:
	dh_installinit -pmcstrans
	dh_installinit -prestorecond
	dh_installinit --no-start --name=selinux-autorelabel
# We don't have a -mark LSB initscript, so we don't need maintainer script for it (-n)
	dh_installinit -n --name=selinux-autorelabel-mark

override_dh_installpam:
	dh_installpam -pnewrole --name=newrole
	dh_installpam -pnewrole --name=run_init

=== debian/watch ===
version=3

https://github.com/SELinuxProject/selinux/wiki/Releases (?:.*)/releases/(?:\d*)/policycoreutils-([\d\.]*)\.tar\.gz

## policycoreutils 2.7

=== load_policy/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= /usr/share/locale

CFLAGS ?= -Werror -Wall -W
override CFLAGS += $(LDFLAGS) -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
override LDLIBS += -lsepol -lselinux

TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))

all: $(TARGETS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 $(TARGETS) $(SBINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 load_policy.8 $(MANDIR)/man8/

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:
	/sbin/restorecon $(SBINDIR)/load_policy

=== newrole/Makefile ===
--- 
+++ 
@@ -4,8 +4,8 @@
 MANDIR ?= $(PREFIX)/share/man
 ETCDIR ?= $(DESTDIR)/etc
 LOCALEDIR = /usr/share/locale
-PAMH = $(shell ls /usr/include/security/pam_appl.h 2>/dev/null)
-AUDITH = $(shell ls /usr/include/libaudit.h 2>/dev/null)
+PAMH ?= $(shell test -f /usr/include/security/pam_appl.h && echo y)
+AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)
 # Enable capabilities to permit newrole to generate audit records.
 # This will make newrole a setuid root program.
 # The capabilities used are: CAP_AUDIT_WRITE.
@@ -22,19 +22,19 @@
 
 CFLAGS ?= -Werror -Wall -W
 EXTRA_OBJS =
-override CFLAGS += -DVERSION=\"$(VERSION)\" -I$(PREFIX)/include -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
-LDLIBS += -lselinux -L$(PREFIX)/lib
-ifeq ($(PAMH), /usr/include/security/pam_appl.h)
+override CFLAGS += -DVERSION=\"$(VERSION)\" -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
+override LDLIBS += -lselinux
+ifeq ($(PAMH), y)
 	override CFLAGS += -DUSE_PAM
 	EXTRA_OBJS += hashtab.o
-	LDLIBS += -lpam -lpam_misc
+	override LDLIBS += -lpam -lpam_misc
 else
 	override CFLAGS += -D_XOPEN_SOURCE=500
-	LDLIBS += -lcrypt
+	override LDLIBS += -lcrypt
 endif
-ifeq ($(AUDITH), /usr/include/libaudit.h)
+ifeq ($(AUDITH), y)
 	override CFLAGS += -DUSE_AUDIT
-	LDLIBS += -laudit
+	override LDLIBS += -laudit
 endif
 ifeq ($(LSPP_PRIV),y)
 	override AUDIT_LOG_PRIV=y
@@ -50,7 +50,7 @@
 endif
 ifeq ($(IS_SUID),y)
 	MODE := 4555
-	LDLIBS += -lcap-ng
+	override LDLIBS += -lcap-ng
 else
 	MODE := 0555
 endif
@@ -66,7 +66,7 @@
 	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
 	install -m $(MODE) newrole $(BINDIR)
 	install -m 644 newrole.1 $(MANDIR)/man1/
-ifeq ($(PAMH), /usr/include/security/pam_appl.h)
+ifeq ($(PAMH), y)
 	test -d $(ETCDIR)/pam.d || install -m 755 -d $(ETCDIR)/pam.d
 ifeq ($(LSPP_PRIV),y)
 	install -m 644 newrole-lspp.pamd $(ETCDIR)/pam.d/newrole

=== run_init/Makefile ===

# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR ?= $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LOCALEDIR ?= /usr/share/locale
PAMH ?= $(shell test -f /usr/include/security/pam_appl.h && echo y)
AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -DUSE_NLS -DLOCALEDIR="\"$(LOCALEDIR)\"" -DPACKAGE="\"policycoreutils\""
override LDLIBS += -lselinux
ifeq ($(PAMH), y)
	override CFLAGS += -DUSE_PAM
	override LDLIBS += -lpam -lpam_misc
else
	override CFLAGS += -D_XOPEN_SOURCE=500
	override LDLIBS += -lcrypt
endif
ifeq ($(AUDITH), y)
	override CFLAGS += -DUSE_AUDIT
	override LDLIBS += -laudit
endif

TARGETS=$(patsubst %.c,%,$(sort $(wildcard *.c)))

all: $(TARGETS)

open_init_pty: open_init_pty.c
	$(LINK.c) $^ -ldl -lutil -o $@


install: all
	test -d $(SBINDIR)      || install -m 755 -d $(SBINDIR)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 755 run_init $(SBINDIR)
	install -m 755 open_init_pty $(SBINDIR)
	install -m 644 run_init.8 $(MANDIR)/man8/
	install -m 644 open_init_pty.8 $(MANDIR)/man8/
ifeq ($(PAMH), y)
	install -m 644 run_init.pamd $(ETCDIR)/pam.d/run_init
endif

clean:
	-rm -f $(TARGETS) *.o 

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	/sbin/restorecon $(SBINDIR)/run_init $(SBINDIR)/open_init_pty

=== scripts/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
MANDIR ?= $(PREFIX)/share/man
LOCALEDIR ?= $(PREFIX)/share/locale

.PHONY: all
all: fixfiles

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 fixfiles $(SBINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 fixfiles.8 $(MANDIR)/man8/

clean:

indent:

relabel:

=== secon/Makefile ===
# secon tool - command-line context
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
BINDIR ?= $(PREFIX)/bin
MANDIR ?= $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib

WARNS=-Werror -W -Wall -Wundef -Wshadow -Wpointer-arith -Wbad-function-cast -Wcast-align -Wwrite-strings -Waggregate-return -Wstrict-prototypes -Wmissing-prototypes -Wmissing-declarations -Wnested-externs -Wno-format-zero-length -Wformat-nonliteral -Wformat-security -Wfloat-equal
VERSION = $(shell cat ../VERSION)
CFLAGS ?= $(WARNS) -O1
override CFLAGS += -DVERSION=\"$(VERSION)\"
override LDLIBS += -lselinux

all: secon

secon: secon.o 

install-nogui: install

install: all
	install -m 755 secon $(BINDIR);

	test -d $(MANDIR)/man1 || install -m 755 -d $(MANDIR)/man1
	install -m 644 secon.1 $(MANDIR)/man1

relabel:
	/sbin/restorecon $(BINDIR)/secon

clean:
	rm -f *.o core* secon *~ *.bak

indent:
	../../scripts/Lindent $(wildcard *.[ch])

bare: clean

.PHONY: clean bare

=== semodule/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol -lselinux -lsemanage
SEMODULE_OBJS = semodule.o

all: semodule genhomedircon

semodule: $(SEMODULE_OBJS)

genhomedircon:
	ln -sf semodule genhomedircon

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 semodule $(SBINDIR)
	(cd $(SBINDIR); ln -sf semodule genhomedircon)
	test -d $(MANDIR)/man8 || install -m 755 -d $(MANDIR)/man8
	install -m 644 semodule.8 $(MANDIR)/man8/
	install -m 644 genhomedircon.8 $(MANDIR)/man8/

relabel:

clean:
	-rm -f semodule *.o genhomedircon

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== sestatus/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
ETCDIR ?= $(DESTDIR)/etc
LIBDIR ?= $(PREFIX)/lib

CFLAGS ?= -Werror -Wall -W
override CFLAGS += -D_FILE_OFFSET_BITS=64
override LDLIBS += -lselinux

all: sestatus

sestatus: sestatus.o

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	[ -d $(MANDIR)/man5 ] || mkdir -p $(MANDIR)/man5
	-mkdir -p $(SBINDIR)
	install -m 755 sestatus $(SBINDIR)
	install -m 644 sestatus.8 $(MANDIR)/man8
	install -m 644 sestatus.conf.5 $(MANDIR)/man5
	-mkdir -p $(ETCDIR)
	install -m 644 sestatus.conf $(ETCDIR)

clean:
	rm -f sestatus *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel:

=== setfiles/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
SBINDIR ?= $(DESTDIR)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
AUDITH ?= $(shell test -f /usr/include/libaudit.h && echo y)

ABORT_ON_ERRORS=$(shell grep "^\#define ABORT_ON_ERRORS" setfiles.c | awk -S '{ print $$3 }')

CFLAGS ?= -g -Werror -Wall -W
override LDLIBS += -lselinux -lsepol

ifeq ($(AUDITH), y)
	override CFLAGS += -DUSE_AUDIT
	override LDLIBS += -laudit
endif

all: setfiles restorecon restorecon_xattr man

setfiles: setfiles.o restore.o

restorecon: setfiles
	ln -sf setfiles restorecon

restorecon_xattr: restorecon_xattr.o restore.o

man:
	@cp -af setfiles.8 setfiles.8.man
	@sed -i "s/ABORT_ON_ERRORS/$(ABORT_ON_ERRORS)/g" setfiles.8.man

install: all
	[ -d $(MANDIR)/man8 ] || mkdir -p $(MANDIR)/man8
	-mkdir -p $(SBINDIR)
	install -m 755 setfiles $(SBINDIR)
	(cd $(SBINDIR) && ln -sf setfiles restorecon)
	install -m 755 restorecon_xattr $(SBINDIR)
	install -m 644 setfiles.8.man $(MANDIR)/man8/setfiles.8
	install -m 644 restorecon.8 $(MANDIR)/man8/restorecon.8
	install -m 644 restorecon_xattr.8 $(MANDIR)/man8/restorecon_xattr.8

clean:
	rm -f setfiles restorecon restorecon_xattr *.o setfiles.8.man

indent:
	../../scripts/Lindent $(wildcard *.[ch])

relabel: install
	$(SBINDIR)/restorecon $(SBINDIR)/setfiles $(SBINDIR)/restorecon_xattr

=== setsebool/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
SBINDIR ?= $(PREFIX)/sbin
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
BASHCOMPLETIONDIR ?= $(DESTDIR)/usr/share/bash-completion/completions

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol -lselinux -lsemanage
SETSEBOOL_OBJS = setsebool.o

BASHCOMPLETIONS=setsebool-bash-completion.sh 

all: setsebool

setsebool: $(SETSEBOOL_OBJS)

install: all
	-mkdir -p $(SBINDIR)
	install -m 755 setsebool $(SBINDIR)
	-mkdir -p $(MANDIR)/man8
	install -m 644 setsebool.8 $(MANDIR)/man8/
	-mkdir -p $(BASHCOMPLETIONDIR)
	install -m 644 $(BASHCOMPLETIONS) $(BASHCOMPLETIONDIR)/setsebool

relabel:

clean:
	-rm -f setsebool *.o

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== hll/pp/Makefile ===
# Installation directories.
PREFIX ?= $(DESTDIR)/usr
INCLUDEDIR ?= $(PREFIX)/include
MANDIR = $(PREFIX)/share/man
LIBDIR ?= $(PREFIX)/lib
LIBEXECDIR ?= $(PREFIX)/libexec
HLLDIR ?= $(LIBEXECDIR)/selinux/hll

CFLAGS ?= -Werror -Wall -W
override LDLIBS += -lsepol

PP_SRCS = $(sort $(wildcard *.c))
PP_OBJS = $(patsubst %.c,%.o,$(PP_SRCS))

all: pp

pp: $(PP_OBJS)
	$(CC) $(LDFLAGS) -o $@ $^ $(LDLIBS)

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $^

install: all
	-mkdir -p $(HLLDIR)
	install -m 755 pp $(HLLDIR)

relabel:

clean:
	-rm -f pp $(PP_OBJS)

indent:
	../../scripts/Lindent $(wildcard *.[ch])

=== debian/changelog ===
policycoreutils (2.7-1) unstable; urgency=medium

  * New upstream release
    - debian/control: Bump {build-}dependencies to match the new release
  * selinux-autorelabel: remove incorrect redirection to /dev/null
  * debian/control: Remove Manoj from the uploader list and add myself
    instead. Thanks to him for all the work in the past.
  * Bump Standards-Version to 4.1.0 (no further changes)
  * Bump debhelper compatibility to 10

 -- Laurent Bigonville <bigon@debian.org>  Sun, 10 Sep 2017 10:30:25 +0200

policycoreutils (2.7~rc3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate
    - Drop all the patches, they are either merged upstream or not releavant
      anymore since policycoreutils has been split in smaller components
    - Drop all references to the packages that are not anymore built by this
      source packages, this package builds policycoreutils and newrole packages
    - debian/control: Bump {build-}dependencies to match the new release
  * debian/watch: Add support for rc releases and use macros
  * debian/control: Bump Standards-Version to 4.0.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Jun 2017 12:22:46 +0200

=== debian/control ===
Source: policycoreutils
VCS-Git: https://anonscm.debian.org/git/selinux/policycoreutils.git
VCS-Browser: https://anonscm.debian.org/gitweb/?p=selinux/policycoreutils.git;a=summary
Priority: optional
Section: utils
Maintainer: Debian SELinux maintainers <selinux-devel@lists.alioth.debian.org>
Uploaders: Laurent Bigonville <bigon@debian.org>,
           Russell Coker <russell@coker.com.au>
Standards-Version: 4.1.0
Build-Depends: debhelper (>= 10),
               gawk,
               gettext,
               libaudit-dev,
               libcap-ng-dev,
               libpam0g-dev,
               libselinux1-dev (>= 2.7),
               libsemanage1-dev (>= 2.7),
               libsepol1-dev (>= 2.7),
Homepage: http://userspace.selinuxproject.org/

Package: policycoreutils
Architecture: linux-any
Depends: lsb-base (>= 3.0-6), selinux-utils, ${misc:Depends}, ${shlibs:Depends}
Breaks: selinux-basics (<< 0.5.3~), findutils (<< 4.5.7)
Pre-Depends: ${misc:Pre-Depends}
Description: SELinux core policy utilities
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 This package contains the core policy utilities that are required
 for basic operation of an SELinux system.  These utilities include
 load_policy to load policies, setfiles to label filesystems.

Package: newrole
Architecture: linux-any
Priority: extra
Depends: libcap2-bin,
         policycoreutils (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: policycoreutils (<< 2.4)
Replaces: policycoreutils (<< 2.4)
Description: SELinux core policy utilities (newrole application for RBAC/MLS)
 Security-enhanced Linux is a patch of the Linux® kernel and a number
 of utilities with enhanced security functionality designed to add
 mandatory access controls to Linux.  The Security-enhanced Linux
 kernel contains new architectural components originally developed to
 improve the security of the Flask operating system. These
 architectural components provide general support for the enforcement
 of many kinds of mandatory access control policies, including those
 based on the concepts of Type Enforcement®, Role-based Access Control,
 and Multi-level Security.
 .
 RBAC/MLS policy machines require newrole as a way of changing the role or
 level of a logged in user.
 .
 This package contains newrole to switch roles, run_init to run /etc/init.d
 scripts in the proper context.

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,7 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 export LIBDIR=$${DESTDIR}/usr/lib/${DEB_HOST_MULTIARCH}
-export PYTHON=python3
-export PYTHONLIBDIR=$${DESTDIR}/usr/lib/$(shell py3versions -d)
-export INITDIR=$${DESTDIR}/etc/init.d
-export SYSCONFDIR=$${DESTDIR}/etc/default
-export SYSTEMDDIR=$${DESTDIR}/lib/systemd
 export HLLDIR=$${DESTDIR}/usr/lib/selinux/hll
-#export SHLIBDIR=$${DESTDIR}/lib/${DEB_HOST_MULTIARCH}
-#export LIBBASE=lib/${DEB_HOST_MULTIARCH}
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
@@ -27,7 +20,7 @@
 export LSPP_PRIV=y
 
 %:
-	dh $@ --with python3 --with systemd
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
@@ -36,8 +29,6 @@
 	dh_install --list-missing
 
 override_dh_installinit:
-	dh_installinit -pmcstrans
-	dh_installinit -prestorecond
 	dh_installinit --no-start --name=selinux-autorelabel
 # We don't have a -mark LSB initscript, so we don't need maintainer script for it (-n)
 	dh_installinit -n --name=selinux-autorelabel-mark
